<!-- yaspeller ignore:start -->

## Contributors

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore -->
<table><tr><td align="center"><a href="http://azzamsa.com/"><img src="https://avatars2.githubusercontent.com/u/17734314?v=4" width="100px;" alt="azzamsa"/><br /><sub><b>azzamsa</b></sub></a><br /><a href="https://github.com/Pelican-Elegant/elegant/commits?author=azzamsa" title="Code">💻</a></td><td align="center"><a href="http://iranzo.github.io"><img src="https://avatars0.githubusercontent.com/u/312463?v=4" width="100px;" alt="Pablo Iranzo Gómez"/><br /><sub><b>Pablo Iranzo Gómez</b></sub></a><br /><a href="#infra-iranzo" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="https://github.com/Pelican-Elegant/elegant/commits?author=iranzo" title="Tests">⚠️</a> <a href="https://github.com/Pelican-Elegant/elegant/commits?author=iranzo" title="Code">💻</a> <a href="https://github.com/Pelican-Elegant/elegant/commits?author=iranzo" title="Documentation">📖</a></td><td align="center"><a href="https://github.com/cszhe"><img src="https://avatars1.githubusercontent.com/u/3096714?v=4" width="100px;" alt="Jason He"/><br /><sub><b>Jason He</b></sub></a><br /><a href="https://github.com/Pelican-Elegant/elegant/issues?q=author%3Acszhe" title="Bug reports">🐛</a></td><td align="center"><a href="https://ashwinvis.github.io"><img src="https://avatars2.githubusercontent.com/u/9155111?v=4" width="100px;" alt="Ashwin Vishnu"/><br /><sub><b>Ashwin Vishnu</b></sub></a><br /><a href="https://github.com/Pelican-Elegant/elegant/commits?author=ashwinvis" title="Code">💻</a> <a href="https://github.com/Pelican-Elegant/elegant/commits?author=ashwinvis" title="Tests">⚠️</a></td><td align="center"><a href="https://github.com/codecachet"><img src="https://avatars1.githubusercontent.com/u/45950182?v=4" width="100px;" alt="codecachet"/><br /><sub><b>codecachet</b></sub></a><br /><a href="#ideas-codecachet" title="Ideas, Planning, & Feedback">🤔</a></td></tr></table>

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!

# Thanks to

Following section is the list of contributors that we used to maintain manually. As it became tedious, we switched to automated contributors list, which you can view above.

**Extra Special Thanks** to [talha131](https://github.com/talha131) for creating this theme and for being the sole maintainer and main developer of Elegant for so many years, and later opening up the development to a community-led effort, enabling the theme and its community to grow.

**Special Thanks** to [calfzhou](https://github.com/calfzhou) and
[tshepang](https://github.com/tshepang). They are always the first to report
issues, suggest improvements and submit patches. They have played a huge role
in making Elegant more elegant.

## [7rack](https://github.com/7rack)

1. He reported an
   [issue](https://github.com/Pelican-Elegant/elegant/issues/118) with meta
   tags which happens when article summary is auto-generated by Pelican

## [Alexis Métaireau](https://github.com/ametaireau)

1. He [helped](https://github.com/Pelican-Elegant/elegant/issues/81) in
   resolving a performance issue

## [andreburgaud](https://github.com/andreburgaud)

1. He reported, investigated and submitted a
   [patch](https://github.com/Pelican-Elegant/elegant/issues/110) for an issue
   in the navbar
1. He [reported and submitted a patch](https://github.com/Pelican-Elegant/elegant/issues/108) to fix a bug in 404.html

## [brechtm](https://github.com/brechtm)

1. He [suggested](https://github.com/Pelican-Elegant/elegant/pull/40) the idea
   of `custom.css`

## [Brian Blais](http://web.bryant.edu/~bblais/)

1. He suggested via email a solution to the
   [problem](https://github.com/Pelican-Elegant/elegant/issues/98) of social
   profiles whose icons are missing

## [Brian Levin](https://github.com/bnice5000)

1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/115) and
   [fixed](https://github.com/Pelican-Elegant/elegant/pull/117) an issue in
   search code

## [calfzhou](https://github.com/calfzhou)

1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/86) and
   [fixed](https://github.com/Pelican-Elegant/elegant/pull/109) an issue with
   the footer
1. He
   [reported](https://github.com/Pelican-Elegant/elegant/commit/7b484dd611c2d05bc3b3249a756d1e076bfd0a1b#commitcomment-5149343)
   an issue with code style
1. He
   [reported](https://github.com/Pelican-Elegant/elegant/issues/95#issuecomment-33189738)
   an issue with code style
1. He [suggested](https://github.com/Pelican-Elegant/elegant/issues/95)
   integration with `multi_part` plugin
1. He
   [suggested](https://github.com/Pelican-Elegant/elegant/issues/95#issuecomment-33091647)
   setting title attribute in HTML anchor elements of `multi_part` code
1. He
   [suggested](https://github.com/Pelican-Elegant/elegant/issues/95#issuecomment-41050831)
   a solution to set title of `multi_part` widget in the sidebar
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/15) a bug
   in social media optimizer code
1. He [suggested](https://github.com/Pelican-Elegant/elegant/issues/60) using
   `_includes` folder
1. He [suggested](https://github.com/Pelican-Elegant/elegant/issues/63)
   comments for Page template
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/72) an
   issue with image margins
1. He [suggested](https://github.com/Pelican-Elegant/elegant/issues/73) to
   close an issue regarding changing 3rd parties' code
1. He submitted a [pull
   request](https://github.com/Pelican-Elegant/elegant/pull/66) to fix URL
   scheme of categories and tags
1. He submitted a [pull
   request](https://github.com/Pelican-Elegant/elegant/pull/65) to fix URL
   scheme
1. He submitted a [pull
   request](https://github.com/Pelican-Elegant/elegant/pull/62) to fix a typo
   in CSS
1. He reported an
   [issue](https://github.com/Pelican-Elegant/elegant/issues/64) in alignment
   of All Posts
1. He gave [suggestions](https://github.com/Pelican-Elegant/elegant/issues/59)
   on improving Archive, Tags, Categories and Home Page
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/58) that
   line numbers in code block to do not always get displayed correctly
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/58) that
   line numbers do not align vertically with code blocks
1. He [suggested](https://github.com/Pelican-Elegant/elegant/issues/58) fixed
   width for line number column
1. He [suggested](https://github.com/Pelican-Elegant/elegant/issues/87)
   article translation feature
1. He submitted a [pull
   request](https://github.com/Pelican-Elegant/elegant/pull/88) to fix a
   rendering issue in Internet Explorer
1. He [fixed](https://github.com/Pelican-Elegant/elegant/pull/119) and pointed
   out HTML is not properly escaped
1. He
   [reported](https://github.com/Pelican-Elegant/elegant/commit/e479ce72db916e7e21bc6ae63677221c8e290840#commitcomment-6284503)
   that it is incorrect to rename `SITESUBTITLE` to `SITE_SUBTITLE`

## [debiatan](https://github.com/debiatan)

1. He [submitted patch](https://github.com/Pelican-Elegant/elegant/pull/105)
   to upgrade to Bootstrap 2.3.2

## [if1live](https://github.com/if1live)

1. His [pull request](https://github.com/getpelican/pelican-plugins/pull/68)
   reminded me that I have forgotten to add template for Pages
1. His
   [commit](https://github.com/if1live/pelican-elegant/commit/3da52903e94051fa771212149a10a271adc78264#commitcomment-3988674)
   in the fork brought bug in the path of search.html to my notice

## [Jed Brown](https://github.com/jedbrown)

1. He suggested via email integration with Latex

## [Jérémie Astori](https://github.com/astorije)

1. He reported a [bug](https://botbot.me/freenode/pelican/msg/5577967/) in
   search form

## [John](http://twitter.com/BostonEnginerd)

1. He suggested [an
   improvement](https://twitter.com/BostonEnginerd/status/374555593589002241)
   to the [Elegant project
   description](http://oncrashreboot.com/pelican-elegant)

## [kafran](https://github.com/kafran)

1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/76) a
   missing `</header>` tag

## [Melissa](https://github.com/meli-lewis)

1. She reported a [critical
   bug](https://github.com/Pelican-Elegant/elegant/issues/1) about
   `RECENT_ARTICLES_COUNT`

## [Rod Morehead](https://github.com/rmorehead)

1. He submitted a [patch](https://github.com/Pelican-Elegant/elegant/pull/106)

## [silverhook](https://github.com/silverhook)

1. He [suggested](https://github.com/Pelican-Elegant/elegant/issues/98) a
   solution to the problem of social profiles whose icons are missing
1. He [suggested](https://github.com/Pelican-Elegant/elegant/issues/101)
   adding support for related articles plugin
1. He [helped](https://github.com/Pelican-Elegant/elegant/issues/102) in
   fixing justification of timestamps issue
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/116) a bug
   in social profiles widget
1. He
   [suggested](https://github.com/Pelican-Elegant/elegant/issues/95#issuecomment-38347811)
   to make label of multi-part plugin customisable
1. He
   [suggested](https://github.com/Pelican-Elegant/elegant/issues/95#issuecomment-41032225)
   a solution to set title of `multi_part` widget in the sidebar

## [tshepang](https://github.com/tshepang)

1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/81) an
   issue with Elegant's performance
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/80) an
   issue with fall back fonts
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/75) an
   issue with page headers
1. He
   [reported](https://github.com/Pelican-Elegant/elegant/issues/34#issuecomment-28151235)
   a regression bug introduced in tags list
1. He gave [suggestions](https://github.com/Pelican-Elegant/elegant/issues/59)
   on improving Archive, Tags, Categories and Home Page
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/50) an
   issue with CSS style of nested lists
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/10) an
   issue with CSS style of links in an unordered lists
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/34) that
   articles list in tags page is not sorted at all. He helped a lot to
   reproduce the issue and stayed persistent to get it fixed
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/6) that it
   is not possible to link to a Disqus comment
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/8) that
   code block auto wraps to next line
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/5)
   hyperlink style compatibility issue on Chrome
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/3) an issue
   with link style
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/4) the bug
   that Disqus comment count is always zero
1. He [suggested](https://github.com/Pelican-Elegant/elegant/issues/7) that
   comments accordion should have different text depending on its state
1. He [reported](https://github.com/Pelican-Elegant/elegant/issues/107) an
   issue when publishing the site

## [yuex 悟道洞穴人](https://github.com/yuex)

1. He submitted a [patch](https://github.com/Pelican-Elegant/elegant/pull/2)
   to the project

# 3rd Party Credits

Elegant is standing on the shoulders of these giants.

1. [Tipue Search](http://www.tipue.com/search/)
1. [Bootstrap 2.3.2](http://getbootstrap.com/2.3.2/)
1. [Solarized Light theme](http://ethanschoonover.com/solarized) converted to
   [Pelican Pygments](https://github.com/yuex/pelican-pygments-solarized-css)
   by [yuex 悟道洞穴人](https://github.com/yuex)
   <!-- yaspeller ignore:end -->
